using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service.Implement
{
	public class FaultRecordsManager : GenericManagerBase<FaultRecord>, IFaultRecordsManager
	{
        public IList<FaultRecord> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID)
		{
            return ((Dao.IFaultRecordsRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort, hotelID).ToList();
		}

		public string GenerateFaultNumber()
		{
			return ((Dao.IFaultRecordsRepository)(this.CurrentRepository)).GenerateFaultNumber();
		}
	}
}
